ADDDEBUG(1)

NAME
adddebug - Modifica os Makefiles para engadir información de depuración

SYNOPSIS

adddebug [-k] [-r] [-n]

DESCRICIóN

adddebug modifica o Makefile no directorio actual (e opcionalmente nos subdirectorios) para engadirlle información de depuración (-g3). Tamén eliminará optimizacións (-O[1-9]).

Esta utilidade forma parte do Kit de Desenvolvimento de Sóftware de.

OPCIóNS

-k
    Manten as optimizacións (non elimina as bandeiras -O[1-9]? que por omisión son eliminadas).

-r
    Procura recursivamente en todos os subdirectorios do directorio actual e opera en cada Makefile que atope.

-n
    compila sen definir NDEBUG e NO_DEBUG (fai que as as chamadas a kDebug funcionen)

AUTHOR

Ben Burton <bab@debian.org>
    Author.